Skip to main content
`Ctrl`+`K`

# KSPSolveTranspose

Solves a linear system with the transpose of the matrix associated with the `KSP` object, \(A^T x = b\).

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPSolveTranspose(KSP ksp, Vec b, Vec x)

Collective

## Input Parameters

- ksp - iterative solver obtained from `KSPCreate()`

- b - right-hand side vector

- x - solution vector

## Note

For complex numbers, this solve the non-Hermitian transpose system.

## Developer Note

We need to implement a `KSPSolveHermitianTranspose()`

## See Also

KSP: Linear System Solvers, `KSPCreate()`, `KSPSetUp()`, `KSPDestroy()`, `KSPSetTolerances()`, `KSPConvergedDefault()`, `KSPSolve()`, `KSP`, `KSPSetOperators()`

## Level

developer

## Location

src/ksp/ksp/interface/itfunc.c

## Examples

src/ksp/ksp/tutorials/ex67.c
src/tao/pde_constrained/tutorials/hyperbolic.c
src/ksp/ksp/tutorials/ex53.c
src/ksp/ksp/tutorials/ex84.c
src/dm/impls/swarm/tutorials/ex1f90.F90
src/ksp/ksp/tutorials/ex76.c
src/ksp/ksp/tutorials/ex10.c
src/ksp/ksp/tutorials/ex72.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages